# **Broadcom CA Send Notification to CDDirector**

The Broadcom CA CDDirector Plugin for sending build notifications.

## **Usage**

The extension installs the following components:

 - A service endpoint for connecting to the CDD Server.
 - A Send notification task, to send build notification information to the CDD Server.

Follow the steps below to set up the extension and to use it properly.  
**Note**: This extension is compatible with Azure DevOps Server **Version Dev17.M153.5** 

### **Create a CDD Server endpoint**

Azure DevOps Server requires a service connection to a CDD Server to send notification.  

   1. In your Azure DevOps Server instance, click the **Project Settings**.

 ![Azure DevOps Server/Project Settings](images/projectSettings.png)

   2. Click **Service Connections**, then from the **New Service connection** dropdown, select **CDD Server**.
 ![New CDD Service Connection -1](images/connectionDropdown.png)
 ![New CDD Service Connection -2](images/newCDDConnection.png)

   3. In the **Add New CDD Server Service Connection** pop-up dialog, provide the required details to connect to the CDD Server:
     * Provide a user-friendly name for the service endpoint in the **Connection Name** like **CDD SaaS**.
     * Enter the **CDD Server URL**, like **http://cdd-server:8080/** or **https://cddirectio.io/**.
     * Enter a **Tenant ID** and **CDD API Key** that has the required access to the CDD Server.
	 * Enter a **Azure DevOps Token** that has atleast build access.
     * Press **Verify Connection ** to check the connection.	 
	 * Press **OK** to create the connection.


### **Send build notification to CDD**

 To send the build notification from Azure DevOps Server to CDD, follow these steps: 
 
 1. Open your build or release definition and add the Send notification to CDDirector task. The task can be found in the **Deploy** section of the **Add Tasks** dialog.

 ![Add  Send Notification To CDD Task](images/taskSnapshot.png)

 2. Fill in the task parameters as described below:
    * **CDD Service Connection**: In the dropdown, select the CDD Server connection that was created above.
    * **Application**: From the dropdown, select the required option.
    * **Application Version**: From the dropdown, select the required option.
    * **Ignore the Nonexistent CDD Application**: Select/Clear as needed.
    * **Update Token Values in CDDirector**: Provide (if needed). Note that you may use [TFS variables](https://docs.microsoft.com/en-us/azure/devops/pipelines/build/variables?view=azure-devops&tabs=yaml) in all of these fields
    * **Source Control Connection Parameters**: Provide (if needed).Note that you may use [TFS variables](https://docs.microsoft.com/en-us/azure/devops/pipelines/build/variables?view=azure-devops&tabs=yaml) in all of these fields
    * **Test Data**: Provide (if needed). Note that you may use [TFS variables](https://docs.microsoft.com/en-us/azure/devops/pipelines/build/variables?view=azure-devops&tabs=yaml) in all of these fields.
    * **Notification execution strategy**: From the dropdown, select the required option.

 
### **Legal Notice**
This product is owned and/or licensed by CA Technologies (“CA”).  
An active license agreement for CA Release Automation (“License Agreement”) is required for its use.  
Your use of this product is governed by the terms of the License Agreement.  
If you do not have an active License Agreement with CA, you may not use this product.  
For details, please contact CA.

