"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RunTestsReleaseDsl = exports.BusinessApplicationReleaseDsl = exports.FileSourceReleaseDsl = void 0;
const Constants_1 = require("../Constants");
class FileSourceReleaseDsl {
    constructor(dslFilename, fileSourceName, fileSourceParameters, dslParameters) {
        this.releaseDslScope = Constants_1.Constants.DSL_SCOPE_APPLICATION;
        this.dslFilename = dslFilename;
        this.fileSourceName = fileSourceName;
        this.fileSourceParameters = fileSourceParameters;
        this.dslParameters = dslParameters;
    }
}
exports.FileSourceReleaseDsl = FileSourceReleaseDsl;
class BusinessApplicationReleaseDsl {
    constructor(dslParameters) {
        this.releaseDslScope = Constants_1.Constants.DSL_SCOPE_BUSINESS_APPLICATION;
        this.dslParameters = dslParameters;
    }
}
exports.BusinessApplicationReleaseDsl = BusinessApplicationReleaseDsl;
class RunTestsReleaseDsl {
    constructor(applicationName, applicationVerison, onlyRunTestsSubset) {
        this.releaseDslScope = Constants_1.Constants.DSL_SCOPE_ADAPTIVE_TESTING;
        this.dslParameters = {
            APPLICATION_NAME: applicationName,
            APPLICATION_VERSION_NAME: applicationVerison,
            ONLY_INTELLIGENT_TEST_SUITES: onlyRunTestsSubset
        };
    }
}
exports.RunTestsReleaseDsl = RunTestsReleaseDsl;
