"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaskDefaultParameters = void 0;
const mock_run_1 = require("azure-pipelines-task-lib/mock-run");
class TaskDefaultParameters {
    static init() {
        process.env["ENDPOINT_AUTH_CDDSERVICEENDPOINT"] = TaskDefaultParameters.ENDPOINT_AUTH;
        process.env["ENDPOINT_URL_CDDSERVICEENDPOINT"] = TaskDefaultParameters.CDD_ENDPOINT_URL;
        process.env["ENDPOINT_AUTH_PARAMETER_CDDSERVICEENDPOINT_APITOKEN"] = TaskDefaultParameters.CDD_API_TOKEN;
        process.env["ENDPOINT_DATA_CDDSERVICEENDPOINT_CDDTENANTID"] = TaskDefaultParameters.CDD_TENANT_ID;
        process.env["ENDPOINT_AUTH_PARAMETER_CDDSERVICEENDPOINT_AZURETOKEN"] = TaskDefaultParameters.AZURE_DEVOPS_API_TOKEN;
        process.env['SYSTEM_TEAMFOUNDATIONSERVERURI'] = TaskDefaultParameters.SYSTEM_TEAMFOUNDATIONSERVERURI;
        process.env['SYSTEM_TEAMPROJECT'] = TaskDefaultParameters.SYSTEM_TEAMPROJECT;
        process.env['BUILD_BUILDID'] = '' + Math.floor(Math.random() * 100);
        process.env['BUILD_BUILDNUMBER'] = '' + Math.floor(Math.random() * 100);
        process.env['BUILD_SOURCEVERSION'] = TaskDefaultParameters.BUILD_SOURCEVERSION;
    }
    static getTaskMockRunner(taskPath) {
        let tmr = new mock_run_1.TaskMockRunner(taskPath);
        tmr.setInput("cddEndpoint", TaskDefaultParameters.SERVICE_ENDPOINT_NAME);
        tmr.setInput('application', TaskDefaultParameters.DEFAULT_APPLICATION_OPTION);
        tmr.setInput('applicationName', TaskDefaultParameters.DEFAULT_APPLICATION_NAME);
        tmr.setInput('applicationVersion', TaskDefaultParameters.DEFAULT_APPLICATION_VERSION_OPTION);
        tmr.setInput('applicationVersionName', TaskDefaultParameters.DEFAULT_APPLICATION_VERSION);
        tmr.setInput('notificationExecutionStrategy', TaskDefaultParameters.EXECUTE_RELEASE);
        return tmr;
    }
}
exports.TaskDefaultParameters = TaskDefaultParameters;
TaskDefaultParameters.SERVICE_ENDPOINT_NAME = "CDDSERVICEENDPOINT";
TaskDefaultParameters.ENDPOINT_AUTH = "{\"parameters\":{\"APITOKEN\":\"mytoken123\"},\"scheme\":\"APITOKEN\"}";
TaskDefaultParameters.CDD_ENDPOINT_URL = "http://dev023083.bpc.broadcom.net:8080/";
TaskDefaultParameters.CDD_TENANT_ID = "00000000-0000-0000-0000-000000000000";
TaskDefaultParameters.CDD_API_TOKEN = "eyJhbGciOiJIUzUxMiJ9.eyJ1c2VybmFtZSI6InN1cGVydXNlckBjYS5jb20iLCJ0ZW5hbnRJZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCIsInVzZXJJZCI6MSwianRpIjoiOWI3N2FhMzItNDlkYS00MzQ4LThmY2YtN2ExMTY2NTYyMWUxIiwiZXhwIjoxNjI2MTU0OTMzfQ.hpHMk-R8LJIJMcRc1pP536oy19hiVNj0cOsaejMJKWoNM2UVsMDweOxox0deujL0vXtE7gsra4AreUZ4-0e7YQ";
TaskDefaultParameters.AZURE_DEVOPS_API_TOKEN = "t7zw7l3e3o3hagbdypc3txixguanei6s37z44wlyeu6lsuy7vovq";
TaskDefaultParameters.SYSTEM_TEAMFOUNDATIONSERVERURI = "http://lvndev026430.bpc.broadcom.net/DefaultCollection";
TaskDefaultParameters.SYSTEM_TEAMPROJECT = "Java Project";
TaskDefaultParameters.BUILD_SOURCEVERSION = "cb1b5be8ca38a37de8184b3d86bc7ef026463258";
TaskDefaultParameters.BUILD_REPOSITORY_URI = "https://github.com/samson1487/samplespringapp.git";
TaskDefaultParameters.DEFAULT_APPLICATION_OPTION = "customApplicationName";
TaskDefaultParameters.DEFAULT_APPLICATION_NAME = "DEMO-APP";
TaskDefaultParameters.DEFAULT_APPLICATION_VERSION_OPTION = "customApplicationVersion";
TaskDefaultParameters.DEFAULT_APPLICATION_VERSION = "1.0";
TaskDefaultParameters.EXECUTE_RELEASE = "executeExistingRelease";
TaskDefaultParameters.CREATE_RELEASE = "createRelease";
TaskDefaultParameters.RUN_TESTS = "onlyRunTests";
