"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const TaskDefaultParameters_1 = require("./TaskDefaultParameters");
let taskPath = path.join(__dirname, '..', 'cdd.js');
let tmr = TaskDefaultParameters_1.TaskDefaultParameters.getTaskMockRunner(taskPath);
tmr.setInput('notificationExecutionStrategy', 'createRelease');
let releaseTokens = '{"TOKEN1":"Value1","TOKEN2":"Value2"}';
let commitSource = '{"itemsToReturn":"1,2,7,8"}';
let testData = '[ {"name": "DemoTSTemplate","parameters": {"branch":"master"} }]';
let dslSource = "fileSource";
let fileSourceName = 'GithubFS';
let dslFilename = 'CDD-FileSource/relWithAppVerBranch.json';
let fileSourceParameters = '{"branch": "master"}';
let dslParameter = '{ "appName": "DEMO-APP", "appVerName": "1.0", "relName": "new-release-12", "envName": "DEV" }';
tmr.setInput('cddTokens', releaseTokens);
tmr.setInput('commitSource', commitSource);
tmr.setInput('testData', testData);
tmr.setInput('dslSource', dslSource);
tmr.setInput('fileSourceName', fileSourceName);
tmr.setInput('dslFilename', dslFilename);
tmr.setInput('fileSourceParameters', fileSourceParameters);
tmr.setInput('dslParameter', dslParameter);
//tmr.setInput('runSubset','true');
TaskDefaultParameters_1.TaskDefaultParameters.init();
tmr.run();
